package gov.va.vinci.dart.json;

import java.util.ArrayList;
import java.util.List;

public class RequestStatusView {

	private String msg;
	private List<String> errors = new ArrayList<String>();
	
	private boolean initiated = false;
	private boolean submitted = false;
	private boolean closed = false;
	private boolean denied = false;
	private boolean approved = false;
	
	private boolean initialNDSCompleted = false;
	private boolean finalNDSCompleted = false;

	private boolean finalNDSReady = false;	
	
	private List<String> status = new ArrayList<String>();
		


	public RequestStatusView(String msg) {
		this.msg = msg;
	}
	
	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	public List<String> getErrors() {
		return errors;
	}

	
	public boolean isInitiated() {
		return initiated;
	}

	public void setInitiated(boolean initiated) {
		this.initiated = initiated;
	}

	public boolean isSubmitted() {
		return submitted;
	}

	public void setSubmitted(boolean submitted) {
		this.submitted = submitted;
	}
	
	public boolean isClosed() {
		return closed;
	}

	public void setClosed(boolean closed) {
		this.closed = closed;
	}

	public boolean isDenied() {
		return denied;
	}

	public void setDenied(boolean denied) {
		this.denied = denied;
	}
	
	public boolean isApproved() {
		return approved;
	}

	public void setApproved(boolean approved) {
		this.approved = approved;
	}
	
	public boolean isInitialNDSCompleted() {
		return initialNDSCompleted;
	}

	public void setInitialNDSCompleted(boolean initialNDSCompleted) {
		this.initialNDSCompleted = initialNDSCompleted;
	}

	public boolean isFinalNDSCompleted() {
		return finalNDSCompleted;
	}

	public void setFinalNDSCompleted(boolean finalNDSCompleted) {
		this.finalNDSCompleted = finalNDSCompleted;
	}

	public boolean isFinalNDSReady() {
		return finalNDSReady;
	}

	public void setFinalNDSReady(boolean finalNDSReady) {
		this.finalNDSReady = finalNDSReady;
	}
	
	
	public List<String> getStatus() {
		return status;
	}
	
}
